Cantera 2.6.0

Public Member Functions | Protected Attributes | List of all members
Rate1< R > Class Template Reference

This rate coefficient manager supports one parameterization of the rate constant of any type. More...

`#include <RateCoeffMgr.h>`

## Public Member Functions
void | install (size_t rxnNumber, const R &rate)
| Install a rate coefficient calculator. More...
void | replace (size_t rxnNumber, const R &rate)
| Replace an existing rate coefficient calculator. More...
void | update_C (const doublereal *c)
| Update the concentration-dependent parts of the rate coefficient, if any. More...
void | update (doublereal T, doublereal logT, doublereal *values)
| Write the rate coefficients into array values. More...
size_t | nReactions () const
double | effectivePreExponentialFactor (size_t irxn)
| Return effective preexponent for the specified reaction. More...
double | effectiveActivationEnergy_R (size_t irxn)
| Return effective activation energy for the specified reaction. More...
double | effectiveTemperatureExponent (size_t irxn)
| Return effective temperature exponent for the specified reaction. More...

## Protected Attributes
std::vector< R > | m_rates
std::vector< size_t > | m_rxn
std::map< size_t, size_t > | m_indices
| map reaction number to index in m_rxn / m_rates More...

## Detailed Description

template<class R>
class Cantera::Rate1< R >

This rate coefficient manager supports one parameterization of the rate constant of any type.

Deprecated:
  Deprecated in Cantera 2.6 and removed thereafter. Replaced by ReactionRate objects managed by MultiRate evaluators.

Definition at line 27 of file RateCoeffMgr.h.

## Constructor & Destructor Documentation

## ◆ Rate1()

Rate1 | ( |  | ) |
| inline

Definition at line 30 of file RateCoeffMgr.h.

## ◆ ~Rate1()

virtual ~Rate1 | ( |  | ) |
| inline virtual

Definition at line 31 of file RateCoeffMgr.h.

## Member Function Documentation

## ◆ install()

void install | ( | size_t | rxnNumber,
|  | const R & | rate
| ) |  |
| inline

Install a rate coefficient calculator.

Parameters

  rxnNumber | the reaction number
  rate | rate coefficient specification for the reaction

Definition at line 38 of file RateCoeffMgr.h.

## ◆ replace()

void replace | ( | size_t | rxnNumber,
|  | const R & | rate
| ) |  |
| inline

Replace an existing rate coefficient calculator.

Definition at line 45 of file RateCoeffMgr.h.

## ◆ update_C()

void update_C | ( | const doublereal * | c | ) |
| inline

Update the concentration-dependent parts of the rate coefficient, if any.

Used by class SurfaceArrhenius to compute coverage-dependent modifications to the Arrhenius parameters. The array c should contain whatever data the particular rate coefficient class needs to update its rates. Note that this method does not return anything. To get the updated rates, method update must be called after the call to update_C.

Definition at line 58 of file RateCoeffMgr.h.

## ◆ update()

void update | ( | doublereal | T,
|  | doublereal | logT,
|  | doublereal * | values
| ) |  |
| inline

Write the rate coefficients into array values.

Each calculator writes one entry in values, at the location specified by the reaction number when it was installed. Note that nothing will be done for reactions that have constant rates. The array values should be preloaded with the constant rate coefficients.

Definition at line 71 of file RateCoeffMgr.h.

## ◆ nReactions()

size_t nReactions | ( |  | ) | const
| inline

Definition at line 78 of file RateCoeffMgr.h.

## ◆ effectivePreExponentialFactor()

double effectivePreExponentialFactor | ( | size_t | irxn | ) |
| inline

Return effective preexponent for the specified reaction.

Returns effective preexponent, accounting for surface coverage dependencies. Used in InterfaceKinetics.

Parameters

  irxn | Reaction number in the kinetics mechanism

Returns
  Effective preexponent

Definition at line 90 of file RateCoeffMgr.h.

## ◆ effectiveActivationEnergy_R()

double effectiveActivationEnergy_R | ( | size_t | irxn | ) |
| inline

Return effective activation energy for the specified reaction.

Returns effective activation energy, accounting for surface coverage dependencies. Used in InterfaceKinetics.

Parameters

  irxn | Reaction number in the kinetics mechanism

Returns
  Effective activation energy divided by the gas constant

Definition at line 102 of file RateCoeffMgr.h.

## ◆ effectiveTemperatureExponent()

double effectiveTemperatureExponent | ( | size_t | irxn | ) |
| inline

Return effective temperature exponent for the specified reaction.

Returns effective temperature exponent, accounting for surface coverage dependencies. Used in InterfaceKinetics. Current parameterization in SurfaceArrhenius does not change this parameter with the change in surface coverages.

Parameters

  irxn | Reaction number in the kinetics mechanism

Returns
  Effective temperature exponent

Definition at line 116 of file RateCoeffMgr.h.

## Member Data Documentation

## ◆ m_rates

std::vector<R> m_rates
| protected

Definition at line 121 of file RateCoeffMgr.h.

## ◆ m_rxn

std::vector<size_t> m_rxn
| protected

Definition at line 122 of file RateCoeffMgr.h.

## ◆ m_indices

std::map<size_t, size_t> m_indices
| protected

map reaction number to index in m_rxn / m_rates

Definition at line 125 of file RateCoeffMgr.h.

The documentation for this class was generated from the following file:

- RateCoeffMgr.h